package Logoved::DB::Rule::Match;
use Moo;
with 'Logoved::DB::Role::Attribute::status';
has 'resolved_value' => (is => 'rw');
has 'rule' => (is => 'ro');
has 'logfile' => (is => 'ro');
has 'line' => (is => 'ro');
has 'lineno' => (is => 'ro');
has 'groups' => (is => 'ro');
has 'multiline_begin_groups' => (is => 'rw');
has 'multiline_body_groups' => (is => 'rw');
has 'multiline_end_groups' => (is => 'rw');

sub determine_status {
    my $self=shift;
    my $status=shift;
    my $force_status=$self->rule->force_status;
    $status=$force_status if $force_status;
    $status//='error';
    $self->status($status);
}

sub description {
    my $self=shift;
    my $status=$self->status;
    $status//='unknown';
    return $self->logfile.' matches '.$self->rule->name.'['.$status.'] in line '.$self->lineno.':'."\n".$self->line;
}

1;
