package Logoved::DB::Rule::Resolver;

use strict;
use warnings;
use Carp;

use Text::ParseWords;

our $VERSION=0.001;
our $verbose=0;

our $PLUGIN={
    'resolve-cpan' => \&plugin_cpan_resolver,
};

sub register_plugin {
    my ($name,$coderef)=@_;
    $PLUGIN->{$name}=$coderef;
}

sub call_resolver {
    my ($cmdline)=@_;
    $cmdline=~s/\s*$//;
    my $cmd=$cmdline;
    my $argstring='';
    if ($cmdline=~/^(\S+)\s+(\S.*)/) {
	$cmd=$1;
	$argstring=$2;
    }
    my $plugin=$PLUGIN->{$cmd};
    unless ($plugin) {
	die "Logoved::DB::Rule::Resolver: unsupported plugin: $cmd";
    }
    return &$plugin($cmd,$argstring);
}

# ---------------------------------------------------

sub plugin_cpan_resolver {
    my ($cmd,$argstring)=@_;
    warn "Not implemented: $cmd $argstring\n";
}


1;
