package Logoved::DB::Stream::Out::FindReqListener;
use Moo;
with 'Logoved::DB::Role::Attribute::status';
extends 'Logoved::DB::Stream::Out::Listener';
with 'Logoved::Role::Stream::Out::Listener';
has 'perl_deparse_failed' => (is => 'rw');

around 'write' => sub {
    my ($orig,$self,$line)=@_;
    if ($line=~m!^# /usr/src/.*: deparse failed, trying to recover with -M!) {
	$self->perl_deparse_failed(1);
    } elsif ($self->perl_deparse_failed and $line=~m!^Can't locate .* in \@INC!) {
	return 1;
    }
    $self->$orig($line);
};

1;
__END__
Finding Requires (using /usr/lib/rpm/find-requires)
Executing: /bin/sh -e /usr/src/tmp/rpm-tmp.rs2vmH
find-requires: running scripts (cpp,debuginfo,files,lib,pam,perl,pkgconfig,pkgconfiglib,python,rpmlib,shebang,shell,static,symlinks)
/usr/src/tmp/perl-DBIx-Recordset-buildroot/usr/share/perl5/DBIx/Compat.pm syntax OK
Can't use 'defined(%hash)' (Maybe you should just omit the defined()?) at /usr/src/tmp/perl-DBIx-Recordset-buildroot/usr/share/perl5/DBIx/Recordset.pm line 655.
Compilation failed in require at /usr/src/tmp/perl-DBIx-Recordset-buildroot/usr/share/perl5/DBIx/Database.pm line 35.
BEGIN failed--compilation aborted at /usr/src/tmp/perl-DBIx-Recordset-buildroot/usr/share/perl5/DBIx/Database.pm line 35.
# perl(DBIx/Recordset.pm) at line 35 (depth 3) not loaded at BEGIN SKIP
# perl(DBIx/Recordset.pm) at line 35 (depth 3) not loaded at BEGIN SKIP
# /usr/src/tmp/perl-DBIx-Recordset-buildroot/usr/share/perl5/DBIx/Database.pm: deparse failed, trying to recover with -MDBIx
Can't locate DBIx.pm in @INC (you may need to install the DBIx module) (@INC contains: /usr/lib/rpm /usr/src/tmp/perl-DBIx-Recordset-buildroot/usr/lib/perl5 /usr/src/tmp/perl-DBIx-Recordset-buildroot/usr/share/perl5 /usr/src/tmp/perl-DBIx-Recordset-buildroot/usr/lib/perl5 /usr/src/tmp/perl-DBIx-Recordset-buildroot/usr/share/perl5 /usr/lib/perl5 /usr/share/perl5 /usr/lib/perl5 /usr/share/perl5 /etc/perl5 /usr/lib/perl5/vendor_perl /usr/local/lib/perl/5.26 /usr/local/share/perl/5.26 /usr/lib/perl5 /usr/share/perl5 /usr/lib/perl5 /usr/share/perl5 /etc/perl5 /usr/lib/perl5/vendor_perl .).
BEGIN failed--compilation aborted.
# /usr/src/tmp/perl-DBIx-Recordset-buildroot/usr/share/perl5/DBIx/Database.pm: deparse failed. prefix=/usr/src/tmp/perl-DBIx-Recordset-buildroot/usr/share/perl5
find-requires: ERROR: /usr/lib/rpm/perl.req failed
error: /bin/sh failed
error: Failed to find Requires
